--[[
    TotemManager
    Copyright (C) 2008 Gael Lalire
    Contact: gael.lalire@laposte.net

    TotemManager is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    TotemManager is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TotemManager.  If not, see <http://www.gnu.org/licenses/>.
--]]

BINDING_HEADER_TOTEM_MANAGER_HEADER = "TotemManager";
BINDING_NAME_TOTEM_MANAGER_CAST_NEXT = "Drop the sequence of totem";
BINDING_NAME_TOTEM_MANAGER_PREVIOUS = "Cast previous totem in the sequence";
BINDING_NAME_TOTEM_MANAGER_SKIP = "Skip a totem in the sequence";
BINDING_NAME_TOTEM_MANAGER_TOTEMIC_CALL = "Cast totemic call";
BINDING_NAME_TOTEM_MANAGER_MAIN_HAND_WEAPON = "Cast current main hand weapon buff";
BINDING_NAME_TOTEM_MANAGER_SHIELD = "Cast current elemental shield";
BINDING_NAME_TOTEM_MANAGER_EARTH_SHIELD = "Cast the earth shield on current target";
BINDING_NAME_TOTEM_MANAGER_AIR = "Cast current air totem";
BINDING_NAME_TOTEM_MANAGER_WATER = "Cast current water totem";
BINDING_NAME_TOTEM_MANAGER_FIRE = "Cast current fire totem";
BINDING_NAME_TOTEM_MANAGER_EARTH = "Cast current earth totem";

for key, value in pairs( 
{
	ANCIENT_MANA_SPRING = "Ancient Mana Spring Totem",
	BUFF_STARTED = " applied",
	BUFF_STOPPED = " fade",
	BUFF_STOPPING = " is fading",
	TOTEM_COUNT_AT_ZERO = " out of range",
	TOTEM_STARTED = " dropped",
	TOTEM_STOPPED = " destroyed",
	TOTEM_STOPPING = " expiring",
}

) do
  TotemManager[key] = value;
end